GNU bug report logs - #28226
Build go with gccgo

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Efraim Flashner <efraim@HIDDEN>; Keywords: patch; dated Thu, 24 Aug 2017 20:53:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added tag(s) patch. Request was from Christopher Baines <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 28226 <at> debbugs.gnu.org:


Received: (at 28226) by debbugs.gnu.org; 12 Sep 2017 12:54:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 12 08:54:42 2017
Received: from localhost ([127.0.0.1]:34906 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1drki9-0007lq-MF
	for submit <at> debbugs.gnu.org; Tue, 12 Sep 2017 08:54:42 -0400
Received: from mail-wm0-f47.google.com ([74.125.82.47]:46432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <catonano@HIDDEN>) id 1drki8-0007lX-9y
 for 28226 <at> debbugs.gnu.org; Tue, 12 Sep 2017 08:54:41 -0400
Received: by mail-wm0-f47.google.com with SMTP id i189so57789131wmf.1
 for <28226 <at> debbugs.gnu.org>; Tue, 12 Sep 2017 05:54:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=R2YzazrdMaNKKdIGhfBh8jhLtix/HLYMYRrk98tBOSE=;
 b=PWmHRZcqbvZFcqbwm4cRO/5cb+3nz1DMIFhNY0C71vgSqqpOw8KzCZUplj+AHaCGul
 zJHaZfSBjZWM6Ln6r5Ti54HPdx/SukVh1ICsk4LWbP5UUHqecOpPKw+l2zxLgojvRsZP
 tYnJlVhrDLhkIgDHJhX0cYuuUL4v25lnDBcjRCt50tI8XrDD3KPfeI6+4LHsb9ZQOBuN
 QN9bl5zua1QlwTqTLCBjfdg1FhnXGq0ZCUr6iNBzIm3kt9fLzzqwiVxybXWuIxUaa4TL
 UPALcIlW67scBI02pfwWn6H5kEPKWVIUAHpoNi3Q4XMj3wfaqMiwyiuyAmAvyBx1mcM2
 MY+g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=R2YzazrdMaNKKdIGhfBh8jhLtix/HLYMYRrk98tBOSE=;
 b=RTTDIhW+ZzdKhwYwrogT5OdyND3PYYIscmLdiH1thJeKIVXgIzNSPUq31AaEs7Jd63
 w9XFRcDxBE+lBmklSpvjdszY0gqUQz+e83SNRJBxfdZVOseUR2LWfICWjfaSA0mxGuu+
 7Raz+cR2LSSZ7guRJpInd+NOLb2OgOmZRm9kt5ze8zn+ZWGWr89CNJV6F3j2KwPLH8rb
 IvkrMN/EDshwiBztPLx43DvtJCcY07YyKbv6BoTIzWPdlCqFNPuC4NbEFK0XkpUFF8Kn
 9czJJPK7+pTUyyo1eXC4pPlRC4AJHUpppRlJ6+kGFNKIvyUArXcXoxWznWsmaAzOJRMb
 v99A==
X-Gm-Message-State: AHPjjUixfrJq+BvB+Vg+s9KOpUowNrRPkrPabksIuhbKrbKq3xwFbdBt
 hxpaREW0HERRXDq8wCrpXXyGirjYBg==
X-Google-Smtp-Source: AOwi7QAG1c3Ze1wsjelaEpT4YTpEeGcMyLu5S3nfR1df8hFv56seIr3mhGqknD945aWpQIatalQoom6agbVTTcdzjF0=
X-Received: by 10.80.179.120 with SMTP id r53mr2727527edd.174.1505220874166;
 Tue, 12 Sep 2017 05:54:34 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.80.161.103 with HTTP; Tue, 12 Sep 2017 05:54:33 -0700 (PDT)
In-Reply-To: <20170912104447.GA3972@HIDDEN>
References: <20170824205146.GM2484@HIDDEN>
 <CAJ98PDxggb4QZA-c92r_d3brh+z2joeBWAcTTPyo=oyGgXe-wg@HIDDEN>
 <20170912104447.GA3972@HIDDEN>
From: Catonano <catonano@HIDDEN>
Date: Tue, 12 Sep 2017 14:54:33 +0200
Message-ID: <CAJ98PDxCXJS61aO=mKRvK5FXMDmPj3vsBu-5x2MHaVgwrw6pLg@HIDDEN>
Subject: Re: [bug#28226] Build go with gccgo
To: Efraim Flashner <efraim@HIDDEN>
Content-Type: multipart/alternative; boundary="94eb2c0c3c8e8366b70558fd8b83"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28226
Cc: 28226 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--94eb2c0c3c8e8366b70558fd8b83
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

2017-09-12 12:44 GMT+02:00 Efraim Flashner <efraim@HIDDEN>:

> On Tue, Sep 12, 2017 at 11:59:31AM +0200, Catonano wrote:
> > 2017-08-24 22:51 GMT+02:00 Efraim Flashner <efraim@HIDDEN>:
> >
> > > I need some help testing this on x86_64, I did all the building and
> > > testing on aarch64. It turns out there's a known issues in the cgo
> > > implementation that causes the test suite to fail on aarch64. With th=
is
> > > patch set I was able to build gccgo@7 -> go@HIDDEN -> lfam's syncthing.
> > >
> >
> > I can't apply these patches
> >
> > ~/projects/guix$ git am
> > 0001-gnu-custom-gcc-Add-flag-to-optionally-not-remove-con.patch
> > Applying: gnu: custom-gcc: Add flag to optionally not remove conflictin=
g
> > files.
> >
> > ~/projects/guix$ git am 0002-gnu-Add-gccgo-7.patch
> > Applying: gnu: Add gccgo@7.
> > error: patch non riuscita: gnu/packages/gcc.scm:414
> > error: gnu/packages/gcc.scm: la patch non pu=C3=B2 essere applicata
> > Patch failed at 0001 gnu: Add gccgo@7.
> > The copy of the patch that failed is found in: .git/rebase-apply/patch
> > When you have resolved this problem, run "git am --continue".
> > If you prefer to skip this patch, run "git am --skip" instead.
> > To restore the original branch and stop patching, run "git am --abort".
> >
> >
> > I don't know what these patches do, I was just trying to apply them in
> > order (1, 2, 3)
> >
> > Should I follow a different order ?
> >
> > I would have attempted to build this thing
> >
> > I git pulled on master right now ( 12 september) and created a branch f=
or
> > thhese patches and git am'ed there
>
> I've reattached the patches, seems they don't apply cleanly anymore
>
>

This is the last part of the build log
Do you need the whole log ?

[...]
##### Testing without libgcc.
ok      crypto/x509    0.662s
ok      net    0.005s
ok      os/user    0.007s

##### internal linking of -buildmode=3Dpie
ok      reflect    0.680s

##### sync -cpu=3D10
ok      sync    0.325s

##### ../misc/cgo/stdio

##### ../misc/cgo/life

##### ../misc/cgo/test
PASS
ok      _/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/test    6.050s
PASS
ok      _/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/test    6.250s
PASS
ok      _/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/test    5.827s
PASS
ok      _/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/testtls    0.002s
PASS
ok      _/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/testtls    0.009s
PASS
ok      _/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/testtls    0.001s
PASS
ok      _/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/nocgo    0.002s
PASS
ok      _/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/nocgo    0.002s
PASS
ok      _/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/nocgo    0.002s
PASS
ok      _/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/test    4.177s
PASS
ok      _/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/testtls    0.016s
PASS
ok      _/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/nocgo    0.010s

##### Testing race detector
ok      runtime/race    4.613s
ok      flag    1.031s
ok      os    1.051s
ok      os/exec    1.028s [no tests to run]
PASS
scatter =3D 0x610b10
hello from C
sqrt is: 0
ok      _/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/test    4.708s
ok      flag    1.031s
ok      os/exec    1.012s [no tests to run]

##### ../misc/cgo/testgodefs

##### ../misc/cgo/testso

##### ../misc/cgo/testsovar

##### ../misc/cgo/testcarchive
PASS

##### ../misc/cgo/testcshared
ok

##### ../misc/cgo/testshared
--- FAIL: TestGoPathShlibGccgo (0.13s)
    shared_test.go:65: executing go install
-installsuffix=3D5577006791947779410 -compiler=3Dgccgo -buildmode=3Dshared
-linkshared depBase failed exit status 2:
        # /tmp/guix-build-go-1.9.drv-0/go-build895598556/libdepBase.so
        gccgo: error: unrecognized command line option
=E2=80=98-rpath=3D/gnu/store/41938jrv1xlhawdskyhz45vvbzaic60v-gccgo-7.2.0/l=
ib=E2=80=99
--- FAIL: TestTwoGopathShlibsGccgo (0.08s)
    shared_test.go:65: executing go install
-installsuffix=3D5577006791947779410 -compiler=3Dgccgo -buildmode=3Dshared
-linkshared depBase failed exit status 2:
        # /tmp/guix-build-go-1.9.drv-0/go-build013538701/libdepBase.so
        gccgo: error: unrecognized command line option
=E2=80=98-rpath=3D/gnu/store/41938jrv1xlhawdskyhz45vvbzaic60v-gccgo-7.2.0/l=
ib=E2=80=99
FAIL
exit status 1
FAIL    _/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/testshared    19.432s
2017/09/12 12:45:19 Failed: exit status 1

##### ../misc/cgo/testplugin
PASS
something

##### ../misc/cgo/testasan

##### ../misc/cgo/testsanitizers
./test.bash: line 18: sysctl: command not found
skipping msan tests: gcc -fsanitize=3Dmemory not supported

##### ../misc/cgo/errors
skipped due to earlier error

##### ../misc/cgo/testsigfwd
skipped due to earlier error

##### ../test/bench/go1
skipped due to earlier error

##### ../test
skipped due to earlier error

##### API check
skipped due to earlier error
2017/09/12 12:45:37 FAILED
phase `build' failed after 382.6 seconds
builder for `/gnu/store/4k6ag9n2r2239r9cjjkyq76pa9n0bw94-go-1.9.drv' failed
with exit code 1
@ build-failed /gnu/store/4k6ag9n2r2239r9cjjkyq76pa9n0bw94-go-1.9.drv - 1
builder for `/gnu/store/4k6ag9n2r2239r9cjjkyq76pa9n0bw94-go-1.9.drv' failed
with exit code 1
guix build: error: build failed: build of
`/gnu/store/4k6ag9n2r2239r9cjjkyq76pa9n0bw94-go-1.9.drv' failed
catonano@xps ~/projects/guix [env]$

--94eb2c0c3c8e8366b70558fd8b83
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><div class=3D"gmail_extra"><br><div class=3D"gmail_quo=
te">2017-09-12 12:44 GMT+02:00 Efraim Flashner <span dir=3D"ltr">&lt;<a hre=
f=3D"mailto:efraim@HIDDEN" target=3D"_blank">efraim@HIDDEN<=
/a>&gt;</span>:<br><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 =
.8ex;border-left:1px #ccc solid;padding-left:1ex"><div class=3D"HOEnZb"><di=
v class=3D"h5">On Tue, Sep 12, 2017 at 11:59:31AM +0200, Catonano wrote:<br=
>
&gt; 2017-08-24 22:51 GMT+02:00 Efraim Flashner &lt;<a href=3D"mailto:efrai=
m@HIDDEN">efraim@HIDDEN</a>&gt;:<br>
&gt;<br>
&gt; &gt; I need some help testing this on x86_64, I did all the building a=
nd<br>
&gt; &gt; testing on aarch64. It turns out there&#39;s a known issues in th=
e cgo<br>
&gt; &gt; implementation that causes the test suite to fail on aarch64. Wit=
h this<br>
&gt; &gt; patch set I was able to build gccgo@7 -&gt; go@HIDDEN -&gt; lfam&#39=
;s syncthing.<br>
&gt; &gt;<br>
&gt;<br>
&gt; I can&#39;t apply these patches<br>
&gt;<br>
&gt; ~/projects/guix$ git am<br>
&gt; 0001-gnu-custom-gcc-Add-flag-<wbr>to-optionally-not-remove-con.<wbr>pa=
tch<br>
&gt; Applying: gnu: custom-gcc: Add flag to optionally not remove conflicti=
ng<br>
&gt; files.<br>
&gt;<br>
&gt; ~/projects/guix$ git am 0002-gnu-Add-gccgo-7.patch<br>
&gt; Applying: gnu: Add gccgo@7.<br>
&gt; error: patch non riuscita: gnu/packages/gcc.scm:414<br>
&gt; error: gnu/packages/gcc.scm: la patch non pu=C3=B2 essere applicata<br=
>
&gt; Patch failed at 0001 gnu: Add gccgo@7.<br>
&gt; The copy of the patch that failed is found in: .git/rebase-apply/patch=
<br>
&gt; When you have resolved this problem, run &quot;git am --continue&quot;=
.<br>
&gt; If you prefer to skip this patch, run &quot;git am --skip&quot; instea=
d.<br>
&gt; To restore the original branch and stop patching, run &quot;git am --a=
bort&quot;.<br>
&gt;<br>
&gt;<br>
&gt; I don&#39;t know what these patches do, I was just trying to apply the=
m in<br>
&gt; order (1, 2, 3)<br>
&gt;<br>
&gt; Should I follow a different order ?<br>
&gt;<br>
&gt; I would have attempted to build this thing<br>
&gt;<br>
&gt; I git pulled on master right now ( 12 september) and created a branch =
for<br>
&gt; thhese patches and git am&#39;ed there<br>
<br>
</div></div>I&#39;ve reattached the patches, seems they don&#39;t apply cle=
anly anymore<br>
<div class=3D"HOEnZb"><div class=3D"h5"><br></div></div></blockquote><div><=
br><br></div><div>This is the last part of the build log <br></div><div>Do =
you need the whole log ?<br></div><div><br>[...]<br>##### Testing without l=
ibgcc.<br>ok=C2=A0 =C2=A0=C2=A0 =C2=A0crypto/x509=C2=A0=C2=A0 =C2=A00.662s<=
br>ok=C2=A0 =C2=A0=C2=A0 =C2=A0net=C2=A0=C2=A0 =C2=A00.005s<br>ok=C2=A0 =C2=
=A0=C2=A0 =C2=A0os/user=C2=A0=C2=A0 =C2=A00.007s<br><br>##### internal link=
ing of -buildmode=3Dpie<br>ok=C2=A0 =C2=A0=C2=A0 =C2=A0reflect=C2=A0=C2=A0 =
=C2=A00.680s<br><br>##### sync -cpu=3D10<br>ok=C2=A0 =C2=A0=C2=A0 =C2=A0syn=
c=C2=A0=C2=A0 =C2=A00.325s<br><br>##### ../misc/cgo/stdio<br><br>##### ../m=
isc/cgo/life<br><br>##### ../misc/cgo/test<br>PASS<br>ok=C2=A0 =C2=A0=C2=A0=
 =C2=A0_/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/test=C2=A0=C2=A0 =C2=A06.0=
50s<br>PASS<br>ok=C2=A0 =C2=A0=C2=A0 =C2=A0_/tmp/guix-build-go-1.9.drv-0/go=
/misc/cgo/test=C2=A0=C2=A0 =C2=A06.250s<br>PASS<br>ok=C2=A0 =C2=A0=C2=A0 =
=C2=A0_/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/test=C2=A0=C2=A0 =C2=A05.82=
7s<br>PASS<br>ok=C2=A0 =C2=A0=C2=A0 =C2=A0_/tmp/guix-build-go-1.9.drv-0/go/=
misc/cgo/testtls=C2=A0=C2=A0 =C2=A00.002s<br>PASS<br>ok=C2=A0 =C2=A0=C2=A0 =
=C2=A0_/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/testtls=C2=A0=C2=A0 =C2=A00=
.009s<br>PASS<br>ok=C2=A0 =C2=A0=C2=A0 =C2=A0_/tmp/guix-build-go-1.9.drv-0/=
go/misc/cgo/testtls=C2=A0=C2=A0 =C2=A00.001s<br>PASS<br>ok=C2=A0 =C2=A0=C2=
=A0 =C2=A0_/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/nocgo=C2=A0=C2=A0 =C2=
=A00.002s<br>PASS<br>ok=C2=A0 =C2=A0=C2=A0 =C2=A0_/tmp/guix-build-go-1.9.dr=
v-0/go/misc/cgo/nocgo=C2=A0=C2=A0 =C2=A00.002s<br>PASS<br>ok=C2=A0 =C2=A0=
=C2=A0 =C2=A0_/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/nocgo=C2=A0=C2=A0 =
=C2=A00.002s<br>PASS<br>ok=C2=A0 =C2=A0=C2=A0 =C2=A0_/tmp/guix-build-go-1.9=
.drv-0/go/misc/cgo/test=C2=A0=C2=A0 =C2=A04.177s<br>PASS<br>ok=C2=A0 =C2=A0=
=C2=A0 =C2=A0_/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/testtls=C2=A0=C2=A0 =
=C2=A00.016s<br>PASS<br>ok=C2=A0 =C2=A0=C2=A0 =C2=A0_/tmp/guix-build-go-1.9=
.drv-0/go/misc/cgo/nocgo=C2=A0=C2=A0 =C2=A00.010s<br><br>##### Testing race=
 detector<br>ok=C2=A0 =C2=A0=C2=A0 =C2=A0runtime/race=C2=A0=C2=A0 =C2=A04.6=
13s<br>ok=C2=A0 =C2=A0=C2=A0 =C2=A0flag=C2=A0=C2=A0 =C2=A01.031s<br>ok=C2=
=A0 =C2=A0=C2=A0 =C2=A0os=C2=A0=C2=A0 =C2=A01.051s<br>ok=C2=A0 =C2=A0=C2=A0=
 =C2=A0os/exec=C2=A0=C2=A0 =C2=A01.028s [no tests to run]<br>PASS<br>scatte=
r =3D 0x610b10<br>hello from C<br>sqrt is: 0<br>ok=C2=A0 =C2=A0=C2=A0 =C2=
=A0_/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/test=C2=A0=C2=A0 =C2=A04.708s<=
br>ok=C2=A0 =C2=A0=C2=A0 =C2=A0flag=C2=A0=C2=A0 =C2=A01.031s<br>ok=C2=A0 =
=C2=A0=C2=A0 =C2=A0os/exec=C2=A0=C2=A0 =C2=A01.012s [no tests to run]<br><b=
r>##### ../misc/cgo/testgodefs<br><br>##### ../misc/cgo/testso<br><br>#####=
 ../misc/cgo/testsovar<br><br>##### ../misc/cgo/testcarchive<br>PASS<br><br=
>##### ../misc/cgo/testcshared<br>ok<br><br>##### ../misc/cgo/testshared<br=
>--- FAIL: TestGoPathShlibGccgo (0.13s)<br>=C2=A0=C2=A0=C2=A0 shared_test.g=
o:65: executing go install -installsuffix=3D5577006791947779410 -compiler=
=3Dgccgo -buildmode=3Dshared -linkshared depBase failed exit status 2:<br>=
=C2=A0=C2=A0=C2=A0 =C2=A0=C2=A0 =C2=A0# /tmp/guix-build-go-1.9.drv-0/go-bui=
ld895598556/libdepBase.so<br>=C2=A0=C2=A0=C2=A0 =C2=A0=C2=A0 =C2=A0gccgo: e=
rror: unrecognized command line option =E2=80=98-rpath=3D/gnu/store/41938jr=
v1xlhawdskyhz45vvbzaic60v-gccgo-7.2.0/lib=E2=80=99<br>--- FAIL: TestTwoGopa=
thShlibsGccgo (0.08s)<br>=C2=A0=C2=A0=C2=A0 shared_test.go:65: executing go=
 install -installsuffix=3D5577006791947779410 -compiler=3Dgccgo -buildmode=
=3Dshared -linkshared depBase failed exit status 2:<br>=C2=A0=C2=A0=C2=A0 =
=C2=A0=C2=A0 =C2=A0# /tmp/guix-build-go-1.9.drv-0/go-build013538701/libdepB=
ase.so<br>=C2=A0=C2=A0=C2=A0 =C2=A0=C2=A0 =C2=A0gccgo: error: unrecognized =
command line option =E2=80=98-rpath=3D/gnu/store/41938jrv1xlhawdskyhz45vvbz=
aic60v-gccgo-7.2.0/lib=E2=80=99<br>FAIL<br>exit status 1<br>FAIL=C2=A0=C2=
=A0 =C2=A0_/tmp/guix-build-go-1.9.drv-0/go/misc/cgo/testshared=C2=A0=C2=A0 =
=C2=A019.432s<br>2017/09/12 12:45:19 Failed: exit status 1<br><br>##### ../=
misc/cgo/testplugin<br>PASS<br>something<br><br>##### ../misc/cgo/testasan<=
br><br>##### ../misc/cgo/testsanitizers<br>./test.bash: line 18: sysctl: co=
mmand not found<br>skipping msan tests: gcc -fsanitize=3Dmemory not support=
ed<br><br>##### ../misc/cgo/errors<br>skipped due to earlier error<br><br>#=
#### ../misc/cgo/testsigfwd<br>skipped due to earlier error<br><br>##### ..=
/test/bench/go1<br>skipped due to earlier error<br><br>##### ../test<br>ski=
pped due to earlier error<br><br>##### API check<br>skipped due to earlier =
error<br>2017/09/12 12:45:37 FAILED<br>phase `build&#39; failed after 382.6=
 seconds<br>builder for `/gnu/store/4k6ag9n2r2239r9cjjkyq76pa9n0bw94-go-1.9=
.drv&#39; failed with exit code 1<br>@ build-failed /gnu/store/4k6ag9n2r223=
9r9cjjkyq76pa9n0bw94-go-1.9.drv - 1 builder for `/gnu/store/4k6ag9n2r2239r9=
cjjkyq76pa9n0bw94-go-1.9.drv&#39; failed with exit code 1<br>guix build: er=
ror: build failed: build of `/gnu/store/4k6ag9n2r2239r9cjjkyq76pa9n0bw94-go=
-1.9.drv&#39; failed<br>catonano@xps ~/projects/guix [env]$ <br>=C2=A0<br><=
/div></div></div></div>

--94eb2c0c3c8e8366b70558fd8b83--




Information forwarded to guix-patches@HIDDEN:
bug#28226; Package guix-patches. Full text available.

Message received at 28226 <at> debbugs.gnu.org:


Received: (at 28226) by debbugs.gnu.org; 12 Sep 2017 10:45:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 12 06:45:06 2017
Received: from localhost ([127.0.0.1]:34798 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1drige-0002ZN-Rp
	for submit <at> debbugs.gnu.org; Tue, 12 Sep 2017 06:45:06 -0400
Received: from flashner.co.il ([178.62.234.194]:48400)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1drigZ-0002Z5-F0
 for 28226 <at> debbugs.gnu.org; Tue, 12 Sep 2017 06:44:58 -0400
Received: from localhost (46-117-130-79.bb.netvision.net.il [46.117.130.79])
 by flashner.co.il (Postfix) with ESMTPSA id 55E4C40362;
 Tue, 12 Sep 2017 10:44:49 +0000 (UTC)
Date: Tue, 12 Sep 2017 13:44:47 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: Catonano <catonano@HIDDEN>
Subject: Re: [bug#28226] Build go with gccgo
Message-ID: <20170912104447.GA3972@HIDDEN>
References: <20170824205146.GM2484@HIDDEN>
 <CAJ98PDxggb4QZA-c92r_d3brh+z2joeBWAcTTPyo=oyGgXe-wg@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="JP+T4n/bALQSJXh8"
Content-Disposition: inline
In-Reply-To: <CAJ98PDxggb4QZA-c92r_d3brh+z2joeBWAcTTPyo=oyGgXe-wg@HIDDEN>
User-Agent: Mutt/1.8.3 (2017-05-23)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28226
Cc: 28226 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


--JP+T4n/bALQSJXh8
Content-Type: multipart/mixed; boundary="0OAP2g/MAC+5xKAE"
Content-Disposition: inline


--0OAP2g/MAC+5xKAE
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Sep 12, 2017 at 11:59:31AM +0200, Catonano wrote:
> 2017-08-24 22:51 GMT+02:00 Efraim Flashner <efraim@HIDDEN>:
>=20
> > I need some help testing this on x86_64, I did all the building and
> > testing on aarch64. It turns out there's a known issues in the cgo
> > implementation that causes the test suite to fail on aarch64. With this
> > patch set I was able to build gccgo@7 -> go@HIDDEN -> lfam's syncthing.
> >
>=20
> I can't apply these patches
>=20
> ~/projects/guix$ git am
> 0001-gnu-custom-gcc-Add-flag-to-optionally-not-remove-con.patch
> Applying: gnu: custom-gcc: Add flag to optionally not remove conflicting
> files.
>=20
> ~/projects/guix$ git am 0002-gnu-Add-gccgo-7.patch
> Applying: gnu: Add gccgo@7.
> error: patch non riuscita: gnu/packages/gcc.scm:414
> error: gnu/packages/gcc.scm: la patch non pu=C3=B2 essere applicata
> Patch failed at 0001 gnu: Add gccgo@7.
> The copy of the patch that failed is found in: .git/rebase-apply/patch
> When you have resolved this problem, run "git am --continue".
> If you prefer to skip this patch, run "git am --skip" instead.
> To restore the original branch and stop patching, run "git am --abort".
>=20
>=20
> I don't know what these patches do, I was just trying to apply them in
> order (1, 2, 3)
>=20
> Should I follow a different order ?
>=20
> I would have attempted to build this thing
>=20
> I git pulled on master right now ( 12 september) and created a branch for
> thhese patches and git am'ed there

I've reattached the patches, seems they don't apply cleanly anymore

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--0OAP2g/MAC+5xKAE
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0001-gnu-custom-gcc-Add-flag-to-optionally-not-remove-con.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 649980fb84726ba758f68e40b836974148154428 Mon Sep 17 00:00:00 2001
=46rom: Efraim Flashner <efraim@HIDDEN>
Date: Mon, 7 Aug 2017 22:56:57 +0300
Subject: [PATCH 1/3] gnu: custom-gcc: Add flag to optionally not remove
 conflicting files.

* gnu/packages/gcc.scm (custom-gcc): Add flag to optionally keep the
files that would conflict with gcc.
---
 gnu/packages/gcc.scm | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/gcc.scm b/gnu/packages/gcc.scm
index da4d66ce36..14a49b9aac 100644
--- a/gnu/packages/gcc.scm
+++ b/gnu/packages/gcc.scm
@@ -486,7 +486,8 @@ using compilers other than GCC."
 (define* (custom-gcc gcc name languages
                      #:optional
                      (search-paths (package-native-search-paths gcc))
-                     #:key (separate-lib-output? #t))
+                     #:key (separate-lib-output? #t)
+                     (remove-conflicting-files? #t))
   "Return a custom version of GCC that supports LANGUAGES.  Use SEARCH-PAT=
HS
 as the 'native-search-paths' field."
   (package (inherit gcc)
@@ -509,12 +510,14 @@ as the 'native-search-paths' field."
                        ,flags)))
        ((#:phases phases)
         `(modify-phases ,phases
-           (add-after 'install 'remove-broken-or-conflicting-files
+          ,@(if remove-conflicting-files?
+           `((add-after 'install 'remove-broken-or-conflicting-files
              (lambda* (#:key outputs #:allow-other-keys)
                (for-each delete-file
                          (find-files (string-append (assoc-ref outputs "ou=
t") "/bin")
                                      ".*(c\\+\\+|cpp|g\\+\\+|gcov|gcc.*)"))
-               #t))))))))
+               #t)))
+           '())))))))
=20
 (define %generic-search-paths
   ;; This is the language-neutral search path for GCC.  Entries in $CPATH =
are
--=20
2.14.1


--0OAP2g/MAC+5xKAE
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0002-gnu-Add-gccgo-7.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 6917ddf5d319df740b63e5a2f50c7d0da0bbfea9 Mon Sep 17 00:00:00 2001
=46rom: Efraim Flashner <efraim@HIDDEN>
Date: Mon, 7 Aug 2017 22:59:22 +0300
Subject: [PATCH 2/3] gnu: Add gccgo@7.

* gnu/packages/gcc.scm (gccgo@7): New variable.
* gnu/packages/gcc.scm (gcc@7)[source]: Add patch.
* gnu/packages/patches/gcc-7.1-go-runpath.patch: New file.
* gnu/local.mk (dist_patch_DATA): Register it.
---
 gnu/local.mk                                  |  1 +
 gnu/packages/gcc.scm                          | 15 ++++++++++++++-
 gnu/packages/patches/gcc-7.1-go-runpath.patch | 13 +++++++++++++
 3 files changed, 28 insertions(+), 1 deletion(-)
 create mode 100644 gnu/packages/patches/gcc-7.1-go-runpath.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 643a88db81..9b61b16578 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -628,6 +628,7 @@ dist_patch_DATA =3D						\
   %D%/packages/patches/gcc-5-source-date-epoch-2.patch		\
   %D%/packages/patches/gcc-6-arm-none-eabi-multilib.patch	\
   %D%/packages/patches/gcc-6-cross-environment-variables.patch	\
+  %D%/packages/patches/gcc-7.1-go-runpath.patch	\
   %D%/packages/patches/gcr-disable-failing-tests.patch		\
   %D%/packages/patches/gcr-fix-collection-tests-to-work-with-gpg-21.patch	\
   %D%/packages/patches/gdk-pixbuf-list-dir.patch		\
diff --git a/gnu/packages/gcc.scm b/gnu/packages/gcc.scm
index 14a49b9aac..aca2e19696 100644
--- a/gnu/packages/gcc.scm
+++ b/gnu/packages/gcc.scm
@@ -415,7 +415,8 @@ Go.  It also includes runtime support libraries for the=
se languages.")
                (base32
                 "16j7i0888j2f1yp9l0nhji6cq65dy6y4nwy8868a8njbzzwavxqw"))
               (patches (search-patches "gcc-strmov-store-file-names.patch"
-                                       "gcc-5.0-libvtv-runpath.patch"))))))
+                                       "gcc-5.0-libvtv-runpath.patch"
+                                       "gcc-7.1-go-runpath.patch"))))))
=20
 ;; Note: When changing the default gcc version, update
 ;;       the gcc-toolchain-* definitions and the gfortran definition
@@ -566,6 +567,18 @@ as the 'native-search-paths' field."
               ;; a cyclic dependency.  <http://debbugs.gnu.org/18101>
               #:separate-lib-output? #f))
=20
+(define-public gccgo-7
+  (custom-gcc gcc-7 "gccgo" '("go")
+              %generic-search-paths
+              ;; Suppress the separate "lib" output, because otherwise the
+              ;; "lib" and "out" outputs would refer to each other, creati=
ng
+              ;; a cyclic dependency.  <http://debbugs.gnu.org/18101>
+              #:separate-lib-output? #f
+              ;; When building go, it is expected to use the same GCC outp=
ut
+              ;; for gcc and for gccgo, so we compile go with the gcc from
+              ;; this build.
+              #:remove-conflicting-files? #f))
+
 (define-public gcc-objc-4.8
   (custom-gcc gcc-4.8 "gcc-objc" '("objc")
               (list (search-path-specification
diff --git a/gnu/packages/patches/gcc-7.1-go-runpath.patch b/gnu/packages/p=
atches/gcc-7.1-go-runpath.patch
new file mode 100644
index 0000000000..e1ff2fc034
--- /dev/null
+++ b/gnu/packages/patches/gcc-7.1-go-runpath.patch
@@ -0,0 +1,13 @@
+--- gcc-7.1.0/gotools/Makefile.in
++++ gcc-7.1.0/gotools/Makefile.in
+@@ -258,6 +258,6 @@
+ # Use the compiler we just built.
+ @NATIVE_TRUE@GOCOMPILER =3D $(GOC_FOR_TARGET) $(XGCC_FLAGS_FOR_TARGET)
+ GOCOMPILE =3D $(GOCOMPILER) $(GOCFLAGS)
+-AM_LDFLAGS =3D -L $(libgodir) -L $(libgodir)/.libs
++AM_LDFLAGS =3D -Wl,-rpath=3D$(libdir) -L $(libgodir) -L $(libgodir)/.libs
+ GOLINK =3D $(GOCOMPILER) $(GOCFLAGS) $(AM_GOCFLAGS) $(LDFLAGS) $(AM_LDFLA=
GS) -o $@
+ cmdsrcdir =3D $(srcdir)/../libgo/go/cmd
+--=20
+2.14.0
+
--=20
2.14.1


--0OAP2g/MAC+5xKAE
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0003-gnu-go-Build-with-gccgo-7.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 5ae1423b545a1284a840ee883e2781bb92b49741 Mon Sep 17 00:00:00 2001
=46rom: Efraim Flashner <efraim@HIDDEN>
Date: Mon, 7 Aug 2017 23:09:29 +0300
Subject: [PATCH 3/3] gnu: go: Build with gccgo@7.

* gnu/packages/golang.scm (go@HIDDEN)[inputs]: Remove gcc-lib.
[native-inputs]: Remove go@HIDDEN, add gccgo@7.
---
 gnu/packages/golang.scm | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 9f3ccc8f69..be5f2f8e37 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -1,5 +1,5 @@
 ;;; GNU Guix --- Functional package management for GNU
-;;; Copyright =C2=A9 2016 Efraim Flashner <efraim@HIDDEN>
+;;; Copyright =C2=A9 2016, 2017 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright =C2=A9 2016 Matthew Jordan <matthewjordandevops@HIDDEN>
 ;;; Copyright =C2=A9 2016 Andy Wingo <wingo@HIDDEN>
 ;;; Copyright =C2=A9 2016 Ludovic Court=C3=A8s <ludo@HIDDEN>
@@ -220,7 +220,7 @@ sequential processes (CSP) concurrent programming featu=
res added.")
            (replace 'prebuild
              ;; TODO: Most of this could be factorized with Go 1.4.
              (lambda* (#:key inputs outputs #:allow-other-keys)
-               (let* ((gcclib (string-append (assoc-ref inputs "gcc:lib") =
"/lib"))
+               (let* ((gcclib (string-append (assoc-ref inputs "go") "/lib=
"))
                       (ld (string-append (assoc-ref inputs "libc") "/lib"))
                       (loader (car (find-files ld "^ld-linux.+")))
                       (net-base (assoc-ref inputs "net-base"))
@@ -370,8 +370,11 @@ sequential processes (CSP) concurrent programming feat=
ures added.")
                     "LICENSE" "VERSION" "CONTRIBUTING.md" "robots.txt"))
=20
                  (copy-recursively "../" output))))))))
+    (inputs
+     `(("tzdata" ,tzdata)
+       ("pcre" ,pcre)))
     (native-inputs
-     `(("go" ,go-1.4)
+     `(("go" ,gccgo-7)
        ,@(package-native-inputs go-1.4)))))
=20
 (define-public go go-1.9)
--=20
2.14.1


--0OAP2g/MAC+5xKAE--

--JP+T4n/bALQSJXh8
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAlm3upkACgkQQarn3Mo9
g1HG/xAApWGWdAPo5yfqCnPrpZC43dN3bHVzj5DhHpHsZgsfuX48kOPSCY988eqb
ATM/4rz3Uuo4o23sM5S1QFBijHw6M3EpIm3kllwuhCb58rpQOzCyxWqGcW3wkOmh
A2/UO28R81vtlXmTTIrX3tchFea4CYIlkyhg4LtZW3Hg8gXXpvrZ1bYKyd6cpRQw
zLvZ9gS98YPoaPyAKC8Ktd1+REXtcoeekjwUDJk4Ln6AkPq2sjfqTqicUPWDtVB6
GEFrakdKgTEFaL3jMrBbPy4lM56ljC+i8HP/eh19Qg9Be8TnmwSps6ifYdhdQJPV
dunOj8VrCdiqQ5bNySb+W4hBPJle1oJfYbYcFVaTgA+LW8l/vPmhfF1zFW65fcsR
QIAMaFvKNDQBrld6cFPSsrg+YcWzWSAgSVGQ81r982ipBufuHkZWvaujDzVDB59c
bPCiqVZE2qIE4xRHYAELTFRpJMOTszJP/ASqcNTl5ilx5bA2c3zZqKujhHn5T32X
GuZ/t+h6JC0GjH9HcqlaGUvB+b0XNMWRlOA51WYp8miKEyS0wdL549ViUQQBj2Ur
f9xzth8KuhBTtZO9gCmHhOwjosXLLP3+tOx51hWPbsxZeDzFW+tzdztnqQT7nh4b
jhH12W7RAa6eNURYsicXbRpnIRgqQmf+GirW7rCZorQpm+T7BjU=
=otmL
-----END PGP SIGNATURE-----

--JP+T4n/bALQSJXh8--




Information forwarded to guix-patches@HIDDEN:
bug#28226; Package guix-patches. Full text available.

Message received at 28226 <at> debbugs.gnu.org:


Received: (at 28226) by debbugs.gnu.org; 12 Sep 2017 09:59:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 12 05:59:40 2017
Received: from localhost ([127.0.0.1]:34776 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1drhym-0001LH-Ah
	for submit <at> debbugs.gnu.org; Tue, 12 Sep 2017 05:59:40 -0400
Received: from mail-wm0-f53.google.com ([74.125.82.53]:43887)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <catonano@HIDDEN>) id 1drhyj-0001Kr-Rj
 for 28226 <at> debbugs.gnu.org; Tue, 12 Sep 2017 05:59:38 -0400
Received: by mail-wm0-f53.google.com with SMTP id a137so15477497wma.0
 for <28226 <at> debbugs.gnu.org>; Tue, 12 Sep 2017 02:59:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=0fgEpb1mRkgsI1YXGijzKyaYi6i11f8zmKDP8ceK6qo=;
 b=tuBqaYJppwUTuGlISaojoh6RaDMo2AK3D3WNXFVnfu7JfF6ef5pzC5YNdi3OE0MMnJ
 TCskF/nIiKUAw9U6BWKsE6kuLjagMUPvT7d/9eAA0wVDNnixxt/EvoJlcgUrXRo9aAWp
 7hWZlrNKScPDHk/ypt58MtDibROcsvyJzsv0MCtwnaPcIrqqXaJkNTVteeGSXGMoeEMQ
 ACuqc5qLLDW5mPscz1bKPvezxYqEmWD13AcvWw9gDdTQLmyFqspBdQzNsEahYU5+MAIa
 1tY+c18wda0qEpVVcSXEpmSRXZFxIbQRXNabfkMEZzb9jkS7r9pY1YaH3ff7dQ94+yzI
 LkGg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=0fgEpb1mRkgsI1YXGijzKyaYi6i11f8zmKDP8ceK6qo=;
 b=MMxLdowkzgx18m4YTIgpuS033GGlUoppuxSW3S98kwCBSAadBb3JOaYHog+Y8pthho
 EIKfmRMWS72BOeAOle9sfbsPJNqIid00TmIZsYXBe5RfvSTTeLQPLAZxXJUQOSv6CfTb
 gsaOuGZNmTn4EymvA7NlzNeaibXP/VsDJliRmZJEXzQnezcbMcjhy5RmEyIMxmAoE7HF
 tpxhxirLJWR5Dmq+0WkvDoaKH8EOfMtOsK7PCH00v/H5ATWyBQyUDOabYZLSK4SpQDOi
 sAZoeNUunG8aJ1p4xj3dbzw7Is/WXeG4Ws76ndICiNgdDc2wrJu6tAh7JWFPYkhSlycz
 dzlQ==
X-Gm-Message-State: AHPjjUhuYvATccvabHsYrpPeuhVJ+FZPDANVA6iwavnIYM8nMmNNj6ep
 3P0viF6eXdg3I5ywmejDL21OFWiNbw==
X-Google-Smtp-Source: ADKCNb7Lz8Vv8qPuVTb0TBQAjgdJ2QQTXlfizxb4Nrs3GLvUcShUpBLPuwoGFaExiL3Lmy0DoFnqMeaLP8FJjZrxNjI=
X-Received: by 10.80.139.145 with SMTP id m17mr11903732edm.304.1505210371847; 
 Tue, 12 Sep 2017 02:59:31 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.80.161.103 with HTTP; Tue, 12 Sep 2017 02:59:31 -0700 (PDT)
In-Reply-To: <20170824205146.GM2484@HIDDEN>
References: <20170824205146.GM2484@HIDDEN>
From: Catonano <catonano@HIDDEN>
Date: Tue, 12 Sep 2017 11:59:31 +0200
Message-ID: <CAJ98PDxggb4QZA-c92r_d3brh+z2joeBWAcTTPyo=oyGgXe-wg@HIDDEN>
Subject: Re: [bug#28226] Build go with gccgo
To: Efraim Flashner <efraim@HIDDEN>
Content-Type: multipart/alternative; boundary="f403045c199086bb400558fb1948"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28226
Cc: 28226 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--f403045c199086bb400558fb1948
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

2017-08-24 22:51 GMT+02:00 Efraim Flashner <efraim@HIDDEN>:

> I need some help testing this on x86_64, I did all the building and
> testing on aarch64. It turns out there's a known issues in the cgo
> implementation that causes the test suite to fail on aarch64. With this
> patch set I was able to build gccgo@7 -> go@HIDDEN -> lfam's syncthing.
>

I can't apply these patches

~/projects/guix$ git am
0001-gnu-custom-gcc-Add-flag-to-optionally-not-remove-con.patch
Applying: gnu: custom-gcc: Add flag to optionally not remove conflicting
files.

~/projects/guix$ git am 0002-gnu-Add-gccgo-7.patch
Applying: gnu: Add gccgo@7.
error: patch non riuscita: gnu/packages/gcc.scm:414
error: gnu/packages/gcc.scm: la patch non pu=C3=B2 essere applicata
Patch failed at 0001 gnu: Add gccgo@7.
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".


I don't know what these patches do, I was just trying to apply them in
order (1, 2, 3)

Should I follow a different order ?

I would have attempted to build this thing

I git pulled on master right now ( 12 september) and created a branch for
thhese patches and git am'ed there

--f403045c199086bb400558fb1948
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">2017-08-24 22:51 GMT+02:00 Efraim Flashner <span dir=3D"lt=
r">&lt;<a href=3D"mailto:efraim@HIDDEN" target=3D"_blank">efraim@fl=
ashner.co.il</a>&gt;</span>:<br><div class=3D"gmail_extra"><div class=3D"gm=
ail_quote"><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;bor=
der-left:1px #ccc solid;padding-left:1ex">I need some help testing this on =
x86_64, I did all the building and<br>
testing on aarch64. It turns out there&#39;s a known issues in the cgo<br>
implementation that causes the test suite to fail on aarch64. With this<br>
patch set I was able to build gccgo@7 -&gt; go@HIDDEN -&gt; lfam&#39;s syncthi=
ng.<br>
<span class=3D"HOEnZb"></span></blockquote><div><br></div><div>I can&#39;t =
apply these patches<br><br>~/projects/guix$ git am 0001-gnu-custom-gcc-Add-=
flag-to-optionally-not-remove-con.patch<br>Applying: gnu: custom-gcc: Add f=
lag to optionally not remove conflicting files.<br><br>~/projects/guix$ git=
 am 0002-gnu-Add-gccgo-7.patch<br>Applying: gnu: Add gccgo@7.<br>error: pat=
ch non riuscita: gnu/packages/gcc.scm:414<br>error: gnu/packages/gcc.scm: l=
a patch non pu=C3=B2 essere applicata<br>Patch failed at 0001 gnu: Add gccg=
o@7.<br>The copy of the patch that failed is found in: .git/rebase-apply/pa=
tch<br>When you have resolved this problem, run &quot;git am --continue&quo=
t;.<br>If you prefer to skip this patch, run &quot;git am --skip&quot; inst=
ead.<br>To restore the original branch and stop patching, run &quot;git am =
--abort&quot;.<br><br><br></div><div>I don&#39;t know what these patches do=
, I was just trying to apply them in order (1, 2, 3) <br><br></div><div>Sho=
uld I follow a different order ?<br><br></div><div>I would have attempted t=
o build this thing<br><br></div><div>I git pulled on master right now ( 12 =
september) and created a branch for thhese patches and git am&#39;ed there<=
br><br><br></div></div></div></div>

--f403045c199086bb400558fb1948--




Information forwarded to guix-patches@HIDDEN:
bug#28226; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Aug 2017 20:52:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 24 16:52:13 2017
Received: from localhost ([127.0.0.1]:53242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dkz6l-00041S-4y
	for submit <at> debbugs.gnu.org; Thu, 24 Aug 2017 16:52:13 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53136)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1dkz6f-00040v-TI
 for submit <at> debbugs.gnu.org; Thu, 24 Aug 2017 16:52:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <efraim@HIDDEN>) id 1dkz6Z-0003S0-6G
 for submit <at> debbugs.gnu.org; Thu, 24 Aug 2017 16:51:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44820)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <efraim@HIDDEN>)
 id 1dkz6Z-0003Rv-2X
 for submit <at> debbugs.gnu.org; Thu, 24 Aug 2017 16:51:55 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44094)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <efraim@HIDDEN>) id 1dkz6X-0005VD-4Y
 for guix-patches@HIDDEN; Thu, 24 Aug 2017 16:51:54 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <efraim@HIDDEN>) id 1dkz6T-0003Qf-PV
 for guix-patches@HIDDEN; Thu, 24 Aug 2017 16:51:53 -0400
Received: from flashner.co.il ([178.62.234.194]:56645)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <efraim@HIDDEN>) id 1dkz6T-0003QH-DM
 for guix-patches@HIDDEN; Thu, 24 Aug 2017 16:51:49 -0400
Received: from localhost (46-117-130-79.bb.netvision.net.il [46.117.130.79])
 by flashner.co.il (Postfix) with ESMTPSA id 9DE7640221
 for <guix-patches@HIDDEN>; Thu, 24 Aug 2017 20:51:47 +0000 (UTC)
Date: Thu, 24 Aug 2017 23:51:46 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: guix-patches@HIDDEN
Subject: Build go with gccgo
Message-ID: <20170824205146.GM2484@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="XVTPT6MZt3zd/C+/"
Content-Disposition: inline
User-Agent: Mutt/1.8.3 (2017-05-23)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)


--XVTPT6MZt3zd/C+/
Content-Type: multipart/mixed; boundary="vDEbda84Uy/oId5W"
Content-Disposition: inline


--vDEbda84Uy/oId5W
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

I need some help testing this on x86_64, I did all the building and
testing on aarch64. It turns out there's a known issues in the cgo
implementation that causes the test suite to fail on aarch64. With this
patch set I was able to build gccgo@7 -> go@HIDDEN -> lfam's syncthing.

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--vDEbda84Uy/oId5W
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0001-gnu-custom-gcc-Add-flag-to-optionally-not-remove-con.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 83bfb82f4da6fb23d3b64c7e23f9db001c85b283 Mon Sep 17 00:00:00 2001
=46rom: Efraim Flashner <efraim@HIDDEN>
Date: Mon, 7 Aug 2017 22:56:57 +0300
Subject: [PATCH 1/3] gnu: custom-gcc: Add flag to optionally not remove
 conflicting files.

* gnu/packages/gcc.scm (custom-gcc): Add flag to optionally keep the
files that would conflict with gcc.
---
 gnu/packages/gcc.scm | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/gcc.scm b/gnu/packages/gcc.scm
index bb8570bec..a22bb3c25 100644
--- a/gnu/packages/gcc.scm
+++ b/gnu/packages/gcc.scm
@@ -485,7 +485,8 @@ using compilers other than GCC."
 (define* (custom-gcc gcc name languages
                      #:optional
                      (search-paths (package-native-search-paths gcc))
-                     #:key (separate-lib-output? #t))
+                     #:key (separate-lib-output? #t)
+                     (remove-conflicting-files? #t))
   "Return a custom version of GCC that supports LANGUAGES.  Use SEARCH-PAT=
HS
 as the 'native-search-paths' field."
   (package (inherit gcc)
@@ -508,12 +509,14 @@ as the 'native-search-paths' field."
                        ,flags)))
        ((#:phases phases)
         `(modify-phases ,phases
-           (add-after 'install 'remove-broken-or-conflicting-files
+          ,@(if remove-conflicting-files?
+           `((add-after 'install 'remove-broken-or-conflicting-files
              (lambda* (#:key outputs #:allow-other-keys)
                (for-each delete-file
                          (find-files (string-append (assoc-ref outputs "ou=
t") "/bin")
                                      ".*(c\\+\\+|cpp|g\\+\\+|gcov|gcc.*)"))
-               #t))))))))
+               #t)))
+           '())))))))
=20
 (define %generic-search-paths
   ;; This is the language-neutral search path for GCC.  Entries in $CPATH =
are
--=20
2.14.0


--vDEbda84Uy/oId5W
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0002-gnu-Add-gccgo-7.patch"
Content-Transfer-Encoding: quoted-printable

=46rom fbdf746826b308a9d23644fbb5bea93dee5e85e9 Mon Sep 17 00:00:00 2001
=46rom: Efraim Flashner <efraim@HIDDEN>
Date: Mon, 7 Aug 2017 22:59:22 +0300
Subject: [PATCH 2/3] gnu: Add gccgo@7.

* gnu/packages/gcc.scm (gccgo@7): New variable.
* gnu/packages/gcc.scm (gcc@7)[source]: Add patch.
* gnu/packages/patches/gcc-7.1-go-runpath.patch: New file.
* gnu/local.mk (dist_patch_DATA): Register it.
---
 gnu/local.mk                                  |  1 +
 gnu/packages/gcc.scm                          | 15 ++++++++++++++-
 gnu/packages/patches/gcc-7.1-go-runpath.patch | 10 ++++++++++
 3 files changed, 25 insertions(+), 1 deletion(-)
 create mode 100644 gnu/packages/patches/gcc-7.1-go-runpath.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 8c00b0020..ee9429770 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -623,6 +623,7 @@ dist_patch_DATA =3D						\
   %D%/packages/patches/gcc-5-source-date-epoch-2.patch		\
   %D%/packages/patches/gcc-6-arm-none-eabi-multilib.patch	\
   %D%/packages/patches/gcc-6-cross-environment-variables.patch	\
+  %D%/packages/patches/gcc-7.1-go-runpath.patch		\
   %D%/packages/patches/gcr-disable-failing-tests.patch		\
   %D%/packages/patches/gcr-fix-collection-tests-to-work-with-gpg-21.patch	\
   %D%/packages/patches/gdk-pixbuf-list-dir.patch		\
diff --git a/gnu/packages/gcc.scm b/gnu/packages/gcc.scm
index a22bb3c25..9cf347f76 100644
--- a/gnu/packages/gcc.scm
+++ b/gnu/packages/gcc.scm
@@ -414,7 +414,8 @@ Go.  It also includes runtime support libraries for the=
se languages.")
                (base32
                 "05xwps0ci7wgxh50askpa2r9p8518qxdgh6ad7pnyk7n6p13d0ca"))
               (patches (search-patches "gcc-strmov-store-file-names.patch"
-                                       "gcc-5.0-libvtv-runpath.patch"))))))
+                                       "gcc-5.0-libvtv-runpath.patch"
+                                       "gcc-7.1-go-runpath.patch"))))))
=20
 ;; Note: When changing the default gcc version, update
 ;;       the gcc-toolchain-* definitions and the gfortran definition
@@ -565,6 +566,18 @@ as the 'native-search-paths' field."
               ;; a cyclic dependency.  <http://debbugs.gnu.org/18101>
               #:separate-lib-output? #f))
=20
+(define-public gccgo-7
+  (custom-gcc gcc-7 "gccgo" '("go")
+              %generic-search-paths
+              ;; Suppress the separate "lib" output, because otherwise the
+              ;; "lib" and "out" outputs would refer to each other, creati=
ng
+              ;; a cyclic dependency.  <http://debbugs.gnu.org/18101>
+              #:separate-lib-output? #f
+              ;; When building go, it is expected to use the same GCC outp=
ut
+              ;; for gcc and for gccgo, so we compile go with the gcc from
+              ;; this build.
+              #:remove-conflicting-files? #f))
+
 (define-public gcc-objc-4.8
   (custom-gcc gcc-4.8 "gcc-objc" '("objc")
               (list (search-path-specification
diff --git a/gnu/packages/patches/gcc-7.1-go-runpath.patch b/gnu/packages/p=
atches/gcc-7.1-go-runpath.patch
new file mode 100644
index 000000000..d7d91301e
--- /dev/null
+++ b/gnu/packages/patches/gcc-7.1-go-runpath.patch
@@ -0,0 +1,10 @@
+--- gcc-7.1.0/gotools/Makefile.in
++++ gcc-7.1.0/gotools/Makefile.in
+@@ -258,6 +258,6 @@
+ # Use the compiler we just built.
+ @NATIVE_TRUE@GOCOMPILER =3D $(GOC_FOR_TARGET) $(XGCC_FLAGS_FOR_TARGET)
+ GOCOMPILE =3D $(GOCOMPILER) $(GOCFLAGS)
+-AM_LDFLAGS =3D -L $(libgodir) -L $(libgodir)/.libs
++AM_LDFLAGS =3D -Wl,-rpath=3D$(libdir) -L $(libgodir) -L $(libgodir)/.libs
+ GOLINK =3D $(GOCOMPILER) $(GOCFLAGS) $(AM_GOCFLAGS) $(LDFLAGS) $(AM_LDFLA=
GS) -o $@
+ cmdsrcdir =3D $(srcdir)/../libgo/go/cmd
--=20
2.14.0


--vDEbda84Uy/oId5W
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0003-gnu-go-Build-with-gccgo-7.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 5b3e3ed9e8fddb36b7d884ab5d2dd6f0a4ad5220 Mon Sep 17 00:00:00 2001
=46rom: Efraim Flashner <efraim@HIDDEN>
Date: Mon, 7 Aug 2017 23:09:29 +0300
Subject: [PATCH 3/3] gnu: go: Build with gccgo@7.

* gnu/packages/golang.scm (go@HIDDEN)[inputs]: Remove gcc-lib.
[native-inputs]: Remove go@HIDDEN, add gccgo@7.
---
 gnu/packages/golang.scm | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 70cae6d87..3dee1d72b 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -1,5 +1,5 @@
 ;;; GNU Guix --- Functional package management for GNU
-;;; Copyright =C2=A9 2016 Efraim Flashner <efraim@HIDDEN>
+;;; Copyright =C2=A9 2016, 2017 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright =C2=A9 2016 Matthew Jordan <matthewjordandevops@HIDDEN>
 ;;; Copyright =C2=A9 2016 Andy Wingo <wingo@HIDDEN>
 ;;; Copyright =C2=A9 2016 Ludovic Court=C3=A8s <ludo@HIDDEN>
@@ -219,7 +219,7 @@ sequential processes (CSP) concurrent programming featu=
res added.")
            (replace 'prebuild
              ;; TODO: Most of this could be factorized with Go 1.4.
              (lambda* (#:key inputs outputs #:allow-other-keys)
-               (let* ((gcclib (string-append (assoc-ref inputs "gcc:lib") =
"/lib"))
+               (let* ((gcclib (string-append (assoc-ref inputs "go") "/lib=
"))
                       (ld (string-append (assoc-ref inputs "libc") "/lib"))
                       (loader (car (find-files ld "^ld-linux.+")))
                       (net-base (assoc-ref inputs "net-base"))
@@ -362,8 +362,11 @@ sequential processes (CSP) concurrent programming feat=
ures added.")
                     "LICENSE" "VERSION" "CONTRIBUTING.md" "robots.txt"))
=20
                  (copy-recursively "../" output))))))))
+    (inputs
+     `(("tzdata" ,tzdata)
+       ("pcre" ,pcre)))
     (native-inputs
-     `(("go" ,go-1.4)
+     `(("go" ,gccgo-7)
        ,@(package-native-inputs go-1.4)))))
=20
 (define-public go go-1.8)
--=20
2.14.0


--vDEbda84Uy/oId5W--

--XVTPT6MZt3zd/C+/
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAlmfPGIACgkQQarn3Mo9
g1GXrQ//ZsnEc7Cl7lADz0ftcF6d58A3rMa47VTZk0QozNnHjH0eeoUNpMcTeLct
IXqOSYvg9TCNWSpn0RV3uvJyYqL/cAXQ3urR46WlxWLWoPcTbsCSBRk63Ib6Cvin
74r2kp1fllyLoVX9tJX18uH4jbBZ9DBqeywTkLdj0XQuKMb3ms22fMaxX/jn/81c
DPSKUKK2fQQFaeVKeDyPDEMPlwzdKEQj1nWTSvAUXofWFbvUARKhoHkvS/E42+cF
n5MtirsX61BcELhm7s3M9R/lGlpjfxZj9UO+QcvA811LsqetuzLnFUqAgYAmMyU9
lg7owSKKfe7Z58w041HIMqsq9KlXtW7ua2RI7K+dEfbp5btrOhLxMHfsZnocLZxz
mqZw8S4IPqua+6Z0hUSdAmQKcJHhlyybW0B2FKudeFBQC2aPPrzI019QTata9rxD
sVubl+JxNG9uKcpNANKtfcP0huO6OcETOEk+d+RHR8O/QB7bbbx9Obr/Qee6EbBC
MxzWM4WXmTE48/od8UWQr8Si2nqk6hEvL/nymiYA+2GZCxPxv9T5dgRx1CcwdeSV
07kIX8N86L5s5uxUN1CuDMMnGBUQ1qncACyj6kJ2JdflUf3ejudPNTnxUyWwELex
PbWNUFFu2G1G9GeAkguooW+uXLgsDuhhyXLvB4hmEgHsZ6+Gjo8=
=D0HC
-----END PGP SIGNATURE-----

--XVTPT6MZt3zd/C+/--




Acknowledgement sent to Efraim Flashner <efraim@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#28226; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 19 Mar 2018 08:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.